Debian Bug report logs - #623950
ITP: asm4 -- Java bytecode manipulation framework

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: "Damien Raude-Morvan" <drazzib@debian.org>

Date: Sun, 24 Apr 2011 18:12:01 UTC

Owned by: Aditya Vaidya <kroq.gar78@gmail.com>

Severity: wishlist

Done: Damien Raude-Morvan <drazzib@drazzib.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#623950; Package wnpp. (Sun, 24 Apr 2011 18:12:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Damien Raude-Morvan" <drazzib@debian.org>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. (Sun, 24 Apr 2011 18:12:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Damien Raude-Morvan" <drazzib@debian.org>
To: submit@bugs.debian.org
Subject: RFP: asm4 -- Java bytecode manipulation framework
Date: Sun, 24 Apr 2011 20:09:18 +0200
[Message part 1 (text/plain, inline)]
Package: wnpp
Severity: wishlist

* Package name    : asm4
  Version         : 4.0RC1
  Upstream Author : INRIA, France Telecom
* URL             : http://asm.ow2.org/
* License         : BSD
  Programming Lang: Java
  Description     : Java bytecode manipulation framework

 It can be used to dynamically generate stub classes or other proxy classes,
 directly in binary form, or to dynamically modify classes at load time, i.e.,
 just before they are loaded into the Java Virtual Machine.
 .
 ASM offers similar functionalities as BCEL or SERP, but is much smaller
 (25KB instead of 350KB for BCEL and 150KB for SERP) and faster
 than these tools (the overhead of a load time class transformation is on
 the order of 60% with ASM, 700% or more with BCEL, and 1100% or more with
 SERP). ASM was designed to be used in a dynamic and static way and was
 therefore designed and implemented to be as small and as fast as possible.


This new release add :
- Full support of Java 7 new bytecode format
- Overhaul of the support of invokedynamic to support the new encoding
  and bootstrap method arguments.
- ASM4 API has been generified to use generics and varargs

Annoucement :
<http://weblogs.java.net/blog/forax/archive/2011/04/17/asm-4-rc1-released>

Cheers,
-- 
Damien - Debian Developper
http://wiki.debian.org/DamienRaudeMorvan
[signature.asc (application/pgp-signature, inline)]

Added indication that 623950 affects lwjgl Request was from Michael Gilbert <michael.s.gilbert@gmail.com> to control@bugs.debian.org. (Sun, 13 Nov 2011 16:03:14 GMT) Full text and rfc822 format available.

Removed indication that 623950 affects lwjgl Request was from Michael Gilbert <michael.s.gilbert@gmail.com> to control@bugs.debian.org. (Sun, 13 Nov 2011 23:21:04 GMT) Full text and rfc822 format available.

Added indication that 623950 affects src:lwjgl Request was from Michael Gilbert <michael.s.gilbert@gmail.com> to control@bugs.debian.org. (Sun, 13 Nov 2011 23:21:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#623950; Package wnpp. (Wed, 01 Aug 2012 20:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aditya Vaidya <kroq.gar78@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 01 Aug 2012 20:54:03 GMT) Full text and rfc822 format available.

Message #16 received at 623950@bugs.debian.org (full text, mbox):

From: Aditya Vaidya <kroq.gar78@gmail.com>
To: 623950@bugs.debian.org
Subject: Re: RFP: asm4 -- Java bytecode manipulation framework
Date: Wed, 1 Aug 2012 15:50:29 -0500
[Message part 1 (text/plain, inline)]
Hello,

I've been looking to packaging this for the past few days so that LWJGL can
be updated, and I think I've run into a problem. When simply copying the
"debian/" directory from 'asm3' and renaming the packages (and other
things) from 'libasm3' to 'libasm4', it fails to compile with this error:

BUILD FAILED
/tmp/buildd/asm4-4.0/build.xml:539: The following error occurred while
executing this line:
/tmp/buildd/asm4-4.0/test/build.xml:233: taskdef class
com.sun.tdk.signaturetest.ant.ATest cannot be found
 using the classloader AntClassLoader[]

After some investigating, I found that it needs some JAR file called
"sigtest.jar", which I've found. However, I know that having libraries
inside other libraries (pre-compiled ones, that is) is frowned upon (well,
as far as I know they are), which I create an ITP for "sigtest"? That'll
allow me to have a Build-Dependency on it, and then I can avoid including a
pre-built JAR in the program.

So, should I create an ITP for "sigtest" in order to get this package
created?

Sincerely,
Aditya Vaidya
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#623950; Package wnpp. (Sat, 01 Sep 2012 22:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Damien Raude-Morvan" <drazzib@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 01 Sep 2012 22:09:03 GMT) Full text and rfc822 format available.

Message #21 received at 623950@bugs.debian.org (full text, mbox):

From: "Damien Raude-Morvan" <drazzib@debian.org>
To: Aditya Vaidya <kroq.gar78@gmail.com>
Cc: 623950@bugs.debian.org
Subject: Re: RFP: asm4 -- Java bytecode manipulation framework
Date: Sun, 2 Sep 2012 00:04:32 +0200
Hi Aditya,

Le mercredi 01 août 2012 22:50:29, Aditya Vaidya a écrit :
> After some investigating, I found that it needs some JAR file called
> "sigtest.jar", which I've found. However, I know that having libraries
> inside other libraries (pre-compiled ones, that is) is frowned upon (well,
> as far as I know they are), which I create an ITP for "sigtest"? That'll
> allow me to have a Build-Dependency on it, and then I can avoid including a
> pre-built JAR in the program.
> 
> So, should I create an ITP for "sigtest" in order to get this package
> created?

You have two options here :
- if sigtest is not used by an essential part of asm4 (for instance, if 
sigtest is only used for unit testing), you can choose to add a patch in your 
asm4 package to disable usage of sigtest until it's available in Debian
- you can then choose to package sigtest, and yes, you will need to submit an 
ITP (see [1])

[1] http://www.debian.org/doc/manuals/developers-
reference/pkgs.html#newpackage

Cheers,
-- 
Damien - Debian Developper
http://wiki.debian.org/DamienRaudeMorvan



Added indication that bug 623950 blocks 589436 Request was from Thomas Koch <thomas@koch.ro> to control@bugs.debian.org. (Sat, 20 Oct 2012 16:09:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#623950; Package wnpp. (Sat, 20 Oct 2012 16:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to thomas@koch.ro:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 20 Oct 2012 16:30:03 GMT) Full text and rfc822 format available.

Message #28 received at 623950@bugs.debian.org (full text, mbox):

From: Thomas Koch <thomas@koch.ro>
To: 623950@bugs.debian.org
Subject: Anybody working on libasm4-java
Date: Sat, 20 Oct 2012 18:27:58 +0200
control: retitle -1 ITP: asm4 -- Java bytecode manipulation framework
control: owner -1 !

Hi,

is anybody working on packaging asm4? I make this an ITP on me for the moment, 
but I'd be glad if somebody else wants to do it.
Do you already have a Git repo with the packaging somewhere?

Regards,

Thomas Koch, http://www.koch.ro



Changed Bug title to 'ITP: asm4 -- Java bytecode manipulation framework' from 'RFP: asm4 -- Java bytecode manipulation framework' Request was from Thomas Koch <thomas@koch.ro> to 623950-submit@bugs.debian.org. (Sat, 20 Oct 2012 16:30:03 GMT) Full text and rfc822 format available.

Owner recorded as thomas@koch.ro. Request was from Thomas Koch <thomas@koch.ro> to 623950-submit@bugs.debian.org. (Sat, 20 Oct 2012 16:30:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, thomas@koch.ro:
Bug#623950; Package wnpp. (Sat, 20 Oct 2012 17:51:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to "kroq-gar78" <kroq.gar78@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, thomas@koch.ro. (Sat, 20 Oct 2012 17:51:06 GMT) Full text and rfc822 format available.

Message #37 received at 623950@bugs.debian.org (full text, mbox):

From: "kroq-gar78" <kroq.gar78@gmail.com>
To: "623950@bugs.debian.org" <623950@bugs.debian.org>
Subject: Re: Bug#623950: Anybody working on libasm4-java
Date: Sat, 20 Oct 2012 12:46:00 -0500
[Message part 1 (text/plain, inline)]
I've mostly packaged this. I don't have the git/bzt repo hosted anywhere, though. It's pretty much working except some sigtest thingy.
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, thomas@koch.ro:
Bug#623950; Package wnpp. (Sat, 20 Oct 2012 19:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aditya Vaidya <kroq.gar78@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, thomas@koch.ro. (Sat, 20 Oct 2012 19:27:03 GMT) Full text and rfc822 format available.

Message #42 received at 623950@bugs.debian.org (full text, mbox):

From: Aditya Vaidya <kroq.gar78@gmail.com>
To: "623950@bugs.debian.org" <623950@bugs.debian.org>
Subject: Re: Bug#623950: Anybody working on libasm4-java
Date: Sat, 20 Oct 2012 14:23:27 -0500
[Message part 1 (text/plain, inline)]
Ok now I've created a github repo for it. It's located at [1].

[1]: https://github.com/kroq-gar78/libasm4_deb

Sincerely,
kroq-gar78


On Sat, Oct 20, 2012 at 12:46 PM, kroq-gar78 <kroq.gar78@gmail.com> wrote:

> I've mostly packaged this. I don't have the git/bzt repo hosted anywhere,
> though. It's pretty much working except some sigtest thingy.
[Message part 2 (text/html, inline)]

Owner changed from thomas@koch.ro to Aditya Vaidya <kroq.gar78@gmail.com>. Request was from Thomas Koch <thomas@koch.ro> to control@bugs.debian.org. (Sat, 20 Oct 2012 20:15:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Aditya Vaidya <kroq.gar78@gmail.com>:
Bug#623950; Package wnpp. (Tue, 08 Jan 2013 23:00:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Damien Raude-Morvan" <drazzib@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Aditya Vaidya <kroq.gar78@gmail.com>. (Tue, 08 Jan 2013 23:00:10 GMT) Full text and rfc822 format available.

Message #49 received at 623950@bugs.debian.org (full text, mbox):

From: "Damien Raude-Morvan" <drazzib@debian.org>
To: Aditya Vaidya <kroq.gar78@gmail.com>, 623950@bugs.debian.org
Subject: libasm4-java: imported on Alioth
Date: Tue, 8 Jan 2013 23:36:34 +0100
[Message part 1 (text/plain, inline)]
Hi Aditya,

I'll need you work on libasm4-java soon for a new package I'm working on. So I 
took the liberty to import your work into this Alioth Git repository [1].

I think it will be more efficient if you made any new modification directly in 
this repository (you can request an account on Alioth here : [2]).

Are you interrested to be maintainer of this package ? I plan to do an upload 
of this package to Debian main during this week.

[1] http://anonscm.debian.org/gitweb/?p=pkg-java/libasm4-java.git
[2] https://alioth.debian.org/account/register.php

Cheers,
-- 
Damien - Debian Developper
http://wiki.debian.org/DamienRaudeMorvan
[signature.asc (application/pgp-signature, inline)]

Reply sent to Damien Raude-Morvan <drazzib@drazzib.com>:
You have taken responsibility. (Mon, 08 Apr 2013 14:09:12 GMT) Full text and rfc822 format available.

Notification sent to "Damien Raude-Morvan" <drazzib@debian.org>:
Bug acknowledged by developer. (Mon, 08 Apr 2013 14:09:12 GMT) Full text and rfc822 format available.

Message #54 received at 623950-close@bugs.debian.org (full text, mbox):

From: Damien Raude-Morvan <drazzib@drazzib.com>
To: <623950-close@bugs.debian.org>
Subject: libasm4-java: uploaded in experimental
Date: Mon, 08 Apr 2013 15:56:57 +0200
Since 2013-04-03, libasm4-java is now in experimental :
http://packages.qa.debian.org/liba/libasm4-java.html

Cheers,



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 07 May 2013 07:28:34 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 10:59:25 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.